summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Grozin <grozin@gentoo.org>2017-12-16 14:01:19 +0700
committerAndrey Grozin <grozin@gentoo.org>2017-12-16 14:01:19 +0700
commit1f1bfdfb4d29d5c36b504c249dd5a635bc4f841f (patch)
treef4668b21c4bccfde52a3c5580c4156b764cd7845 /sci-physics
parentnet-dns/pdns-recursor: Cleanup (diff)
downloadgentoo-1f1bfdfb4d29d5c36b504c249dd5a635bc4f841f.tar.gz
gentoo-1f1bfdfb4d29d5c36b504c249dd5a635bc4f841f.tar.bz2
gentoo-1f1bfdfb4d29d5c36b504c249dd5a635bc4f841f.zip
sci-physics/reduze: bump to 2.2
Package-Manager: Portage-2.3.18, Repoman-2.3.6
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/reduze/Manifest1
-rw-r--r--sci-physics/reduze/reduze-2.2.ebuild65
2 files changed, 66 insertions, 0 deletions
diff --git a/sci-physics/reduze/Manifest b/sci-physics/reduze/Manifest
index fbfe17f1970..2879a9c5384 100644
--- a/sci-physics/reduze/Manifest
+++ b/sci-physics/reduze/Manifest
@@ -1,2 +1,3 @@
DIST reduze-2.0.9.tar.gz 568570 BLAKE2B 95eb5b89cb67cb91e6909b245499ac2f1cd944d0ff1c9d714ec37dfcdde0e6a19b1a4014cbb1f45dfc1bc9f502322c624ba2f2cd6b3e972067d4792ce4433cf6 SHA512 69818d7edaf3c69996d3f703401865f67722ec8d33b285642c71030f2852273b4b4028a00f0c639589cb801def739f93a05d504d4fb2edf228674962897d5f01
DIST reduze-2.1.tar.gz 650423 BLAKE2B e1497ce54067bf82f98a07396becbac8f7e8b9fd53412219e6b4276b502b99367aafc60b2c616913cf5a6a8abf8f2bcc49b42e3163d840b4216923981430edae SHA512 e27f711639fe4b95c2aef4e73a7f6d9dd1574d1a62bc531d0f5177c505ffd353193548f29332f3b5320d4907bebd404ef082d3fea1dd392b83573d085b4a795a
+DIST reduze-2.2.tar.gz 669858 BLAKE2B 52c48f5547055087dc2969fe5a7a42281519cf1d9a454a675ea54741f3d5912cd9b135816994241fa206585038d683ba5a3849308ff0403f1d3507ec9b77fe00 SHA512 ca4ed6f754fc75511b0916e8c2eea26a69e0e30c604a714af76995038a8e11dc3b129157bf1a170e639ea0fc39f9f5102bba4ad503874f044ac91855d9a95dab
diff --git a/sci-physics/reduze/reduze-2.2.ebuild b/sci-physics/reduze/reduze-2.2.ebuild
new file mode 100644
index 00000000000..37b323c903b
--- /dev/null
+++ b/sci-physics/reduze/reduze-2.2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="Program for reducing Feynman integrals"
+HOMEPAGE="http://reduze.hepforge.org/"
+SRC_URI="http://reduze.hepforge.org/download/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="berkdb doc mpi"
+
+RDEPEND=">=sci-mathematics/ginac-1.4.1
+ berkdb? ( sys-libs/db:6.0[cxx] )
+ mpi? ( virtual/mpi )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )"
+
+src_prepare() {
+ cmake-utils_src_prepare
+ # gentoo doc directory
+ sed -i \
+ -e "s:share/reduze:share/doc/${PF}:g" \
+ CMakeLists.txt || die
+ if ! use doc ; then
+ sed -i -e '/share/d' CMakeLists.txt || die
+ fi
+ # prefix fix
+ sed -i \
+ -e "s:/usr:${EPREFIX}/usr:g" \
+ reduze/CMakeLists.txt || die
+
+ # remove bundled yaml-cpp
+ # no: it does not build. is it patched?
+ # sed -i -e '/add_subdirectory ("yaml")/d' CMakeLists.txt || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DUSE_HASH_TABLE=ON
+ -DUSE_DATABASE=$(usex berkdb)
+ -DUSE_MPI=$(usex mpi)
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile all $(usev doc)
+}
+
+src_test() {
+ cmake-utils_src_compile check
+ use mpi && cmake-utils_src_compile check_mpi
+}
+
+src_install() {
+ use doc && HTML_DOCS+=( "${BUILD_DIR}"/doc/code/html/. )
+ cmake-utils_src_install
+}